Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network92.47.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
92.47.0.0
Broadcast address
92.47.63.255
First usable
92.47.0.1
Last usable
92.47.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 5C2F0000 · Integer 1546584064 to 1546600447
Reverse DNS zones
0.47.92.in-addr.arpa
1.47.92.in-addr.arpa
2.47.92.in-addr.arpa
3.47.92.in-addr.arpa
4.47.92.in-addr.arpa
5.47.92.in-addr.arpa
6.47.92.in-addr.arpa
7.47.92.in-addr.arpa
8.47.92.in-addr.arpa
9.47.92.in-addr.arpa
10.47.92.in-addr.arpa
11.47.92.in-addr.arpa
12.47.92.in-addr.arpa
13.47.92.in-addr.arpa
14.47.92.in-addr.arpa
15.47.92.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011100.00101111.00000000.0000000092.47.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network01011100.00101111.00000000.0000000092.47.0.0
Broadcast01011100.00101111.00111111.1111111192.47.63.255
Split into smaller subnets/25

92.47.0.0/18 makes 128 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
192.47.0.0/2592.47.0.1 to 92.47.0.12692.47.0.127126
292.47.0.128/2592.47.0.129 to 92.47.0.25492.47.0.255126
392.47.1.0/2592.47.1.1 to 92.47.1.12692.47.1.127126
492.47.1.128/2592.47.1.129 to 92.47.1.25492.47.1.255126
592.47.2.0/2592.47.2.1 to 92.47.2.12692.47.2.127126
692.47.2.128/2592.47.2.129 to 92.47.2.25492.47.2.255126
792.47.3.0/2592.47.3.1 to 92.47.3.12692.47.3.127126
892.47.3.128/2592.47.3.129 to 92.47.3.25492.47.3.255126
992.47.4.0/2592.47.4.1 to 92.47.4.12692.47.4.127126
1092.47.4.128/2592.47.4.129 to 92.47.4.25492.47.4.255126
1192.47.5.0/2592.47.5.1 to 92.47.5.12692.47.5.127126
1292.47.5.128/2592.47.5.129 to 92.47.5.25492.47.5.255126
1392.47.6.0/2592.47.6.1 to 92.47.6.12692.47.6.127126
1492.47.6.128/2592.47.6.129 to 92.47.6.25492.47.6.255126
1592.47.7.0/2592.47.7.1 to 92.47.7.12692.47.7.127126
1692.47.7.128/2592.47.7.129 to 92.47.7.25492.47.7.255126
1792.47.8.0/2592.47.8.1 to 92.47.8.12692.47.8.127126
1892.47.8.128/2592.47.8.129 to 92.47.8.25492.47.8.255126
1992.47.9.0/2592.47.9.1 to 92.47.9.12692.47.9.127126
2092.47.9.128/2592.47.9.129 to 92.47.9.25492.47.9.255126
2192.47.10.0/2592.47.10.1 to 92.47.10.12692.47.10.127126
2292.47.10.128/2592.47.10.129 to 92.47.10.25492.47.10.255126
2392.47.11.0/2592.47.11.1 to 92.47.11.12692.47.11.127126
2492.47.11.128/2592.47.11.129 to 92.47.11.25492.47.11.255126
2592.47.12.0/2592.47.12.1 to 92.47.12.12692.47.12.127126
2692.47.12.128/2592.47.12.129 to 92.47.12.25492.47.12.255126
2792.47.13.0/2592.47.13.1 to 92.47.13.12692.47.13.127126
2892.47.13.128/2592.47.13.129 to 92.47.13.25492.47.13.255126
2992.47.14.0/2592.47.14.1 to 92.47.14.12692.47.14.127126
3092.47.14.128/2592.47.14.129 to 92.47.14.25492.47.14.255126
3192.47.15.0/2592.47.15.1 to 92.47.15.12692.47.15.127126
3292.47.15.128/2592.47.15.129 to 92.47.15.25492.47.15.255126
3392.47.16.0/2592.47.16.1 to 92.47.16.12692.47.16.127126
3492.47.16.128/2592.47.16.129 to 92.47.16.25492.47.16.255126
3592.47.17.0/2592.47.17.1 to 92.47.17.12692.47.17.127126
3692.47.17.128/2592.47.17.129 to 92.47.17.25492.47.17.255126
3792.47.18.0/2592.47.18.1 to 92.47.18.12692.47.18.127126
3892.47.18.128/2592.47.18.129 to 92.47.18.25492.47.18.255126
3992.47.19.0/2592.47.19.1 to 92.47.19.12692.47.19.127126
4092.47.19.128/2592.47.19.129 to 92.47.19.25492.47.19.255126
4192.47.20.0/2592.47.20.1 to 92.47.20.12692.47.20.127126
4292.47.20.128/2592.47.20.129 to 92.47.20.25492.47.20.255126
4392.47.21.0/2592.47.21.1 to 92.47.21.12692.47.21.127126
4492.47.21.128/2592.47.21.129 to 92.47.21.25492.47.21.255126
4592.47.22.0/2592.47.22.1 to 92.47.22.12692.47.22.127126
4692.47.22.128/2592.47.22.129 to 92.47.22.25492.47.22.255126
4792.47.23.0/2592.47.23.1 to 92.47.23.12692.47.23.127126
4892.47.23.128/2592.47.23.129 to 92.47.23.25492.47.23.255126
4992.47.24.0/2592.47.24.1 to 92.47.24.12692.47.24.127126
5092.47.24.128/2592.47.24.129 to 92.47.24.25492.47.24.255126
5192.47.25.0/2592.47.25.1 to 92.47.25.12692.47.25.127126
5292.47.25.128/2592.47.25.129 to 92.47.25.25492.47.25.255126
5392.47.26.0/2592.47.26.1 to 92.47.26.12692.47.26.127126
5492.47.26.128/2592.47.26.129 to 92.47.26.25492.47.26.255126
5592.47.27.0/2592.47.27.1 to 92.47.27.12692.47.27.127126
5692.47.27.128/2592.47.27.129 to 92.47.27.25492.47.27.255126
5792.47.28.0/2592.47.28.1 to 92.47.28.12692.47.28.127126
5892.47.28.128/2592.47.28.129 to 92.47.28.25492.47.28.255126
5992.47.29.0/2592.47.29.1 to 92.47.29.12692.47.29.127126
6092.47.29.128/2592.47.29.129 to 92.47.29.25492.47.29.255126
6192.47.30.0/2592.47.30.1 to 92.47.30.12692.47.30.127126
6292.47.30.128/2592.47.30.129 to 92.47.30.25492.47.30.255126
6392.47.31.0/2592.47.31.1 to 92.47.31.12692.47.31.127126
6492.47.31.128/2592.47.31.129 to 92.47.31.25492.47.31.255126
6592.47.32.0/2592.47.32.1 to 92.47.32.12692.47.32.127126
6692.47.32.128/2592.47.32.129 to 92.47.32.25492.47.32.255126
6792.47.33.0/2592.47.33.1 to 92.47.33.12692.47.33.127126
6892.47.33.128/2592.47.33.129 to 92.47.33.25492.47.33.255126
6992.47.34.0/2592.47.34.1 to 92.47.34.12692.47.34.127126
7092.47.34.128/2592.47.34.129 to 92.47.34.25492.47.34.255126
7192.47.35.0/2592.47.35.1 to 92.47.35.12692.47.35.127126
7292.47.35.128/2592.47.35.129 to 92.47.35.25492.47.35.255126
7392.47.36.0/2592.47.36.1 to 92.47.36.12692.47.36.127126
7492.47.36.128/2592.47.36.129 to 92.47.36.25492.47.36.255126
7592.47.37.0/2592.47.37.1 to 92.47.37.12692.47.37.127126
7692.47.37.128/2592.47.37.129 to 92.47.37.25492.47.37.255126
7792.47.38.0/2592.47.38.1 to 92.47.38.12692.47.38.127126
7892.47.38.128/2592.47.38.129 to 92.47.38.25492.47.38.255126
7992.47.39.0/2592.47.39.1 to 92.47.39.12692.47.39.127126
8092.47.39.128/2592.47.39.129 to 92.47.39.25492.47.39.255126
8192.47.40.0/2592.47.40.1 to 92.47.40.12692.47.40.127126
8292.47.40.128/2592.47.40.129 to 92.47.40.25492.47.40.255126
8392.47.41.0/2592.47.41.1 to 92.47.41.12692.47.41.127126
8492.47.41.128/2592.47.41.129 to 92.47.41.25492.47.41.255126
8592.47.42.0/2592.47.42.1 to 92.47.42.12692.47.42.127126
8692.47.42.128/2592.47.42.129 to 92.47.42.25492.47.42.255126
8792.47.43.0/2592.47.43.1 to 92.47.43.12692.47.43.127126
8892.47.43.128/2592.47.43.129 to 92.47.43.25492.47.43.255126
8992.47.44.0/2592.47.44.1 to 92.47.44.12692.47.44.127126
9092.47.44.128/2592.47.44.129 to 92.47.44.25492.47.44.255126
9192.47.45.0/2592.47.45.1 to 92.47.45.12692.47.45.127126
9292.47.45.128/2592.47.45.129 to 92.47.45.25492.47.45.255126
9392.47.46.0/2592.47.46.1 to 92.47.46.12692.47.46.127126
9492.47.46.128/2592.47.46.129 to 92.47.46.25492.47.46.255126
9592.47.47.0/2592.47.47.1 to 92.47.47.12692.47.47.127126
9692.47.47.128/2592.47.47.129 to 92.47.47.25492.47.47.255126
9792.47.48.0/2592.47.48.1 to 92.47.48.12692.47.48.127126
9892.47.48.128/2592.47.48.129 to 92.47.48.25492.47.48.255126
9992.47.49.0/2592.47.49.1 to 92.47.49.12692.47.49.127126
10092.47.49.128/2592.47.49.129 to 92.47.49.25492.47.49.255126
10192.47.50.0/2592.47.50.1 to 92.47.50.12692.47.50.127126
10292.47.50.128/2592.47.50.129 to 92.47.50.25492.47.50.255126
10392.47.51.0/2592.47.51.1 to 92.47.51.12692.47.51.127126
10492.47.51.128/2592.47.51.129 to 92.47.51.25492.47.51.255126
10592.47.52.0/2592.47.52.1 to 92.47.52.12692.47.52.127126
10692.47.52.128/2592.47.52.129 to 92.47.52.25492.47.52.255126
10792.47.53.0/2592.47.53.1 to 92.47.53.12692.47.53.127126
10892.47.53.128/2592.47.53.129 to 92.47.53.25492.47.53.255126
10992.47.54.0/2592.47.54.1 to 92.47.54.12692.47.54.127126
11092.47.54.128/2592.47.54.129 to 92.47.54.25492.47.54.255126
11192.47.55.0/2592.47.55.1 to 92.47.55.12692.47.55.127126
11292.47.55.128/2592.47.55.129 to 92.47.55.25492.47.55.255126
11392.47.56.0/2592.47.56.1 to 92.47.56.12692.47.56.127126
11492.47.56.128/2592.47.56.129 to 92.47.56.25492.47.56.255126
11592.47.57.0/2592.47.57.1 to 92.47.57.12692.47.57.127126
11692.47.57.128/2592.47.57.129 to 92.47.57.25492.47.57.255126
11792.47.58.0/2592.47.58.1 to 92.47.58.12692.47.58.127126
11892.47.58.128/2592.47.58.129 to 92.47.58.25492.47.58.255126
11992.47.59.0/2592.47.59.1 to 92.47.59.12692.47.59.127126
12092.47.59.128/2592.47.59.129 to 92.47.59.25492.47.59.255126
12192.47.60.0/2592.47.60.1 to 92.47.60.12692.47.60.127126
12292.47.60.128/2592.47.60.129 to 92.47.60.25492.47.60.255126
12392.47.61.0/2592.47.61.1 to 92.47.61.12692.47.61.127126
12492.47.61.128/2592.47.61.129 to 92.47.61.25492.47.61.255126
12592.47.62.0/2592.47.62.1 to 92.47.62.12692.47.62.127126
12692.47.62.128/2592.47.62.129 to 92.47.62.25492.47.62.255126
12792.47.63.0/2592.47.63.1 to 92.47.63.12692.47.63.127126
12892.47.63.128/2592.47.63.129 to 92.47.63.25492.47.63.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses